diff -Nru orig/CytoML/src/Makevars.ucrt patched/CytoML/src/Makevars.ucrt
--- orig/CytoML/src/Makevars.ucrt	1969-12-31 16:00:00.000000000 -0800
+++ patched/CytoML/src/Makevars.ucrt	2021-07-01 09:14:28.825322400 -0700
@@ -0,0 +1,19 @@
+
+CXX_STD = CXX11
+#libxml is an odd ball with extra nested path(libxml2/libxml/xxx) that doesn't conform to the include path as the rest 
+#so can't use the default libs shipped with Rtools4
+
+PKG_CPPFLAGS =-DROUT -I../inst/include/ -I$(R_TOOLS_SOFT)/include/libxml2 -DLIBXML_STATIC -fpermissive -DRCPP_PARALLEL_USE_TBB=1
+
+#needs to wrap in $(shell) to strip the quotes returned by rhdf5lib::pkgconfig
+RHDF5_LIBS= $(shell "${R_HOME}/bin/Rscript" -e "Rhdf5lib::pkgconfig('PKG_CXX_LIBS')")
+libxmllibs=-lxml2 -llzma -liconv -lz
+
+PKG_LIBS += $(LAPACK_LIBS) $(BLAS_LIBS) $(FLIBS) $(libxmllibs) `${R_HOME}/bin/Rscript -e "cytolib:::cytolib_LdFlags();cat(' ');RProtoBufLib:::LdFlags();cat(' ');RcppParallel::RcppParallelLibs()"` ${RHDF5_LIBS} -lws2_32
+
+all: clean 
+
+clean:
+	rm -f $(OBJECTS) $(SHLIB)
+
+.PHONY: all clean
